# Installation
* Open shell as user nxy will run. These instructions will use ```nxy``` as user and ```/home/nxy``` as its home directory.
* Install virtualenvwrapper (ideally system wide).
* Open shell as user ```nxy```
  - ```sudo -u nxy -i```
* Clone repo and change current dir
  - ```git clone https://gitfap.de/mrhanky/nxy.git```
  - ```cd nxy```
* Create virtualenv, activate it and install dependencies
  - ```python3 -m venv env```
  - ```source env/bin/active```
  - ```pip install -r nxy/requirements.txt```
* Create needed tables in the database:
  - ```psql -U <your db user> < files/schema.sql```
* Copy ```nxy/files/.env``` and insert values in ```.env``` (replace everything wrapped in < and >)
  - ```cp nxy/files/.env .env```
  - ```vim .env```
* Copy ```nxy/files/config.json``` and modify it (setup ZNC etc.)
  - ```cp nxy/files/config.json config.json```
  - ```vim config.json```
* If database is empty, import your database dump:
  - ```psql -U nxy -d nxy < /path/to/dump.sql```
* Enable linger for nxy user (so the user unit starts on boot)
  - ```sudo loginctl enable-linger nxy```
* Link systemd unit, enable and run it
  - ```mkdir -p $HOME/.config/systemd/user```
  - ```ln -fs $HOME/nxy/files/nxy-bot.service $HOME/.config/systemd/user```
  - ```systemctl --user daemon-reload```
  - ```systemctl --user enable --now nxy-bot.service```
